> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asksurf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Liquidation Chart



## OpenAPI

````yaml openapi.json GET /gateway/v1/market/liquidation/chart
openapi: 3.1.0
info:
  title: Hermod
  version: 0.0.1
servers:
  - url: https://api.asksurf.ai
security: []
paths:
  /gateway/v1/market/liquidation/chart:
    get:
      tags:
        - Market
      summary: Liquidation Chart
      description: >-
        Returns OHLC-style aggregated liquidation data for a token on a specific
        exchange.


        **Filters:** `symbol`, `exchange`, `interval`.


        Useful for charting liquidation volume over time.
      operationId: market-liquidation-chart
      parameters:
        - description: Token ticker symbol like `BTC` or `ETH`
          explode: false
          in: query
          name: symbol
          required: true
          schema:
            description: Token ticker symbol like `BTC` or `ETH`
            examples:
              - BTC
            type: string
        - description: >-
            Candlestick interval. Can be `1m`, `3m`, `5m`, `15m`, `30m`, `1h`,
            `4h`, `6h`, `8h`, `12h`, `1d`, or `1w`.
          explode: false
          in: query
          name: interval
          schema:
            default: 1h
            description: >-
              Candlestick interval. Can be `1m`, `3m`, `5m`, `15m`, `30m`, `1h`,
              `4h`, `6h`, `8h`, `12h`, `1d`, or `1w`.
            enum:
              - 1m
              - 3m
              - 5m
              - 15m
              - 30m
              - 1h
              - 4h
              - 6h
              - 8h
              - 12h
              - 1d
              - 1w
            examples:
              - 1h
            type: string
        - description: >-
            Exchange name. Can be `Binance`, `OKX`, `Bybit`, `Bitget`,
            `Hyperliquid`, `Gate`, `HTX`, `Bitmex`, `Bitfinex`, `CoinEx`,
            `Aster`, or `Lighter`.
          explode: false
          in: query
          name: exchange
          schema:
            default: Binance
            description: >-
              Exchange name. Can be `Binance`, `OKX`, `Bybit`, `Bitget`,
              `Hyperliquid`, `Gate`, `HTX`, `Bitmex`, `Bitfinex`, `CoinEx`,
              `Aster`, or `Lighter`.
            enum:
              - Binance
              - OKX
              - Bybit
              - Bitget
              - Hyperliquid
              - Gate
              - HTX
              - Bitmex
              - Bitfinex
              - CoinEx
              - Aster
              - Lighter
            examples:
              - Binance
            type: string
        - description: Results per page
          explode: false
          in: query
          name: limit
          schema:
            default: 500
            description: Results per page
            examples:
              - 500
            format: int64
            maximum: 4500
            minimum: 1
            type: integer
        - description: >-
            Start of time range. Accepts Unix seconds (`1704067200`) or date
            string (`2024-01-01`)
          explode: false
          in: query
          name: from
          schema:
            description: >-
              Start of time range. Accepts Unix seconds (`1704067200`) or date
              string (`2024-01-01`)
            examples:
              - '2024-01-01'
            type: string
        - description: >-
            End of time range. Accepts Unix seconds (`1706745600`) or date
            string (`2024-02-01`)
          explode: false
          in: query
          name: to
          schema:
            description: >-
              End of time range. Accepts Unix seconds (`1706745600`) or date
              string (`2024-02-01`)
            examples:
              - '2024-02-01'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleListResponseLiquidationChartItem'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataAPIError'
          description: Error
      security:
        - AccessToken: []
components:
  schemas:
    SimpleListResponseLiquidationChartItem:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - >-
              https://example.com/schemas/SimpleListResponseLiquidationChartItem.json
          format: uri
          readOnly: true
          type: string
        data:
          items:
            $ref: '#/components/schemas/LiquidationChartItem'
          type:
            - array
            - 'null'
        meta:
          $ref: '#/components/schemas/ObjectResponseMeta'
      required:
        - data
        - meta
      type: object
    DataAPIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataAPIError.json
          format: uri
          readOnly: true
          type: string
        error:
          $ref: '#/components/schemas/DataAPIErrorDetail'
      required:
        - error
      type: object
    LiquidationChartItem:
      additionalProperties: false
      properties:
        long_liquidation_usd:
          description: Long-side aggregated liquidation volume (USD)
          format: double
          type: number
        short_liquidation_usd:
          description: Short-side aggregated liquidation volume (USD)
          format: double
          type: number
        timestamp:
          description: Unix timestamp in seconds
          format: int64
          type: integer
      required:
        - timestamp
        - long_liquidation_usd
        - short_liquidation_usd
      type: object
    ObjectResponseMeta:
      additionalProperties: false
      properties:
        cached:
          description: Whether this response was served from cache
          type: boolean
        credits_used:
          description: Credits deducted for this request
          format: int64
          type: integer
      required:
        - credits_used
        - cached
      type: object
    DataAPIErrorDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object

````